Last modified: 2014-09-23 07:26:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17553 - LQT Call to a member function ... on a non-object at different places
LQT Call to a member function ... on a non-object at different places
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
LiquidThreads (Other open bugs)
unspecified
All All
: Normal critical with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 40798 41186 59757 59791 25008 26673 37562 41056 41185 54254 54670
Blocks: 55739
  Show dependency treegraph
 
Reported: 2009-02-18 12:47 UTC by DaSch
Modified: 2014-09-23 07:26 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description DaSch 2009-02-18 12:47:05 UTC
PHP Fatal error:  Call to a member function article() on a non-object in /var/www/web0/html/extensions/LiquidThreads/pages/ThreadPermalinkView.php on line 13
Comment 1 David McCabe 2009-02-18 18:24:50 UTC
Please provide steps to reproduce.
Comment 2 DaSch 2009-02-18 19:20:00 UTC
Sometimes when trying to save a discussion and sometimes when trying to read discussions
Comment 3 DaSch 2009-02-18 21:37:33 UTC
Other Errors in LQT I found in my errorlog

PHP Fatal error:  Call to a member function article() on a non-object in /var/www/web0/html/extensions/LiquidThreads/pages/ThreadPermalinkView.php on line 13

PHP Fatal error:  Call to a member function getText() on a non-object in /var/www/web0/html/extensions/LiquidThreads/LqtBaseView.php on line 929
Comment 4 DaSch 2009-02-19 13:47:59 UTC
Another Fatal error, now when reaplying to a thread

Call to a member function id() on a non-object in /var/www/web0/html/extensions/LiquidThreads/classes/LqtHistoricalThread.php on line 46
Comment 5 DaSch 2009-02-19 13:49:59 UTC
The Thread ist shown in Recent Changes but is to accesible and is not disblayed under the Thread it's a reply to
Comment 6 DaSch 2009-02-28 16:48:10 UTC
somebody working on this? my users are complaining a lot about this bug
Comment 8 Andrew Garrett 2009-03-16 03:46:38 UTC
Are these errors still occurring? Is there something that can be done to reliably reproduce the errors?
Comment 9 David McCabe 2009-03-16 03:53:31 UTC
I haven't found any way to reproduce these bugs or any suspected causes from analysis.

Bug reporters should also always give their SVN revision numbers, or line numbers are at best line neighborhoods.

They should also refrain from capriciously commenting out code as described in #7. That's a sure way to corrupt their databases.
Comment 10 DaSch 2009-03-16 11:21:42 UTC
Well two users having this bug and two developers can not reproduce it, anyway I'm not using LQT annymore because it's really high-buggy and this is not the first time that such "Call to a member function ... on a non-object"-Errors occured
Comment 11 Andrew Garrett 2009-05-26 15:49:27 UTC
Hopefully I'll come across this in some reproducible way.
Comment 12 Andrew Garrett 2009-06-26 12:26:16 UTC
Haven't been able to reproduce in over a month, doubtless my recent overhauls have fixed the problem.

Closing as FIXED.
Comment 13 Kevin Heidemann 2010-02-17 10:03:02 UTC
Reproduction successfull:

Error showing up in case of manually adding the lqt-table to the sql database (not by php maintenance/sql.php ...)

Solution:
http://www.mediawiki.org/wiki/Extension_talk:LiquidThreads#Error_on_Reply.3F (as seen above)

Importance:
Critical, all functions are working, but error message output

If someone can confirme please close.
Comment 14 Kevin Heidemann 2010-02-17 10:10:36 UTC
Sorry, no solution, just a start point for improvements.

Didn't have a look on the solution. As described above it's just outcommenting lines with incalculable impacts on your database!

Actually I don't know how to classify the Bug right now, because IMHO it's a user failure in the database handling and not a bug.
Comment 15 Helder 2010-12-23 16:34:20 UTC
(In reply to comment #8)
> Are these errors still occurring? Is there something that can be done to
> reliably reproduce the errors?

There is also a fatal error happening on ptwikibooks dumps page:
http://download.wikimedia.org/ptwikibooks/20101101/

Fatal error: Call to a member function getPrefixedText() on a non-object in /usr/local/apache/common-local/wmf-deployment/extensions/LiquidThreads/classes/Hooks.php on line 180

Is it related or should we open a new bug for that?
Comment 16 Helder 2010-12-23 16:36:22 UTC
The same happens on liquidthreads_labswikimedia dumps page:
http://download.wikimedia.org/liquidthreads_labswikimedia/20101103/
Comment 17 Helder 2011-03-06 13:32:45 UTC
(In reply to comment #12)
> Haven't been able to reproduce in over a month, doubtless my recent overhauls
> have fixed the problem.
> 
> Closing as FIXED.

I just got the following on ptwikibooks when searching for "test"[1]:

----
PHP fatal error in /usr/local/apache/common-local/php-1.17/extensions/LiquidThreads/classes/Hooks.php line 232:
Call to a member function setFragment() on a non-object 
----

[1] http://pt.wikibooks.org/w/index.php?title=Special:Search&redirs=0&search=test&fulltext=Search&ns0=1&ns1=1&ns2=1&ns3=1&ns4=1&ns5=1&ns6=1&ns7=1&ns8=1&ns9=1&ns10=1&ns11=1&ns12=1&ns13=1&ns14=1&ns15=1&ns90=1&ns91=1&ns92=1&ns93=1&uselang=en
Comment 18 Mark A. Hershberger 2011-03-20 03:28:33 UTC
still reproducable
Comment 19 Helder 2011-03-23 12:54:59 UTC
(In reply to comment #18)
> still reproducable

Here is another instance where the same error is happening:
https://secure.wikimedia.org/wikibooks/pt/wiki/Special:PrefixIndex/Thread:Helderg
Comment 20 Samuel Lampa 2011-07-29 00:05:48 UTC
I think this issue is too general ... since each different function which reports this error most certainly have their own explanations, right?

Just as an example, in my case, I got the error "Call to a member function isListed() on a non-object ..." on entering Special:SpecialPages (https://bugzilla.wikimedia.org/show_bug.cgi?id=30109), which turned out to be because of inconsistent naming of the SpecialPage "ARC2Admin" (named "SpecialARC2Admin" in some places), and fixed at r93441 ... but obviously that doesn't apply for the other errors in this issue.
Comment 21 Samuel Lampa 2011-07-29 00:08:14 UTC
Forget about my last comment (blush) (I didn't realize this was marked for a certain extension ... too tired, really ... )
Comment 22 Max Semenik 2012-07-02 19:02:11 UTC
Still there: PHP fatal error in /usr/local/apache/common-local/php-1.20wmf6/extensions/LiquidThreads/pages/ThreadPermalinkView.php line 224: 
 Call to a member function getPrefixedText() on a non-object

Encountered visiting https://www.mediawiki.org/w/index.php?title=Thread:Extension_talk:Nuke/White_Page/reply&action=edit&redlink=1 while the page was deleted.
Comment 23 Sam Reed (reedy) 2012-07-02 19:30:56 UTC
      1 PHP Fatal error:  Call to a member function getPrefixedText() on a non-object in /usr/local/apache/common-local/php-1.20wmf6/extensions/LiquidThreads/pages/Thre
adPermalinkView.php on line 224
      1 PHP Fatal error:  Call to a member function getPrefixedText() on a non-object in /usr/local/apache/common-local/php-1.20wmf6/extensions/LiquidThreads/api/ApiFee
dLQTThreads.php on line 122
Comment 24 Niklas Laxström 2012-07-24 08:14:00 UTC
This is happening regularly on twn now:
PHP Fatal error:  Call to a member function getPrefixedText() on a non-object in /www/w/extensions/LiquidThreads/pages/ThreadPermalinkView.php on line 224

Still low prio?
Comment 25 Nemo 2013-08-30 05:39:55 UTC
Still happening a few times per month on twn, line changed:

2013-08-25 20.05 -rakkaus:#mediawiki-i18n- [25-Aug-2013 18:05:28 UTC] PHP Fatal error:  Call to a member function getPrefixedText() on a non-object in /www/translatewiki.net/w/extensions/LiquidThreads/pages/ThreadPermalinkView.php on line 214
Comment 26 Siebrand Mazeland 2013-11-21 16:13:17 UTC
*** Bug 54670 has been marked as a duplicate of this bug. ***
Comment 27 Nemo 2014-01-06 22:37:44 UTC
(In reply to comment #15)
> There is also a fatal error happening on ptwikibooks dumps page:
> http://download.wikimedia.org/ptwikibooks/20101101/
> 
> Fatal error: Call to a member function getPrefixedText() on a non-object in
> /usr/local/apache/common-local/wmf-deployment/extensions/LiquidThreads/
> classes/Hooks.php
> on line 180
> 
> Is it related or should we open a new bug for that?

I reproduced this or a very similar one when importing the XML at bug 59739:

 Fatal error: Call to a member function getPrefixedText() on a non-object in /www/dev.translatewiki.net/w/extensions/LiquidThreads/classes/Hooks.php on line 671
Comment 28 Sam Reed (reedy) 2014-01-06 23:20:14 UTC
(In reply to comment #27)
> (In reply to comment #15)
> > There is also a fatal error happening on ptwikibooks dumps page:
> > http://download.wikimedia.org/ptwikibooks/20101101/
> > 
> > Fatal error: Call to a member function getPrefixedText() on a non-object in
> > /usr/local/apache/common-local/wmf-deployment/extensions/LiquidThreads/
> > classes/Hooks.php
> > on line 180
> > 
> > Is it related or should we open a new bug for that?
> 
> I reproduced this or a very similar one when importing the XML at bug 59739:
> 
>  Fatal error: Call to a member function getPrefixedText() on a non-object in
> /www/dev.translatewiki.net/w/extensions/LiquidThreads/classes/Hooks.php on
> line
> 671

I'd report it as a new one
Comment 29 Nemo 2014-03-29 23:10:38 UTC
One fixed today by Niklas https://gerrit.wikimedia.org/r/#/c/121957/
17.33 -rakkaus:#mediawiki-i18n- [29-Mar-2014 16:33:43 UTC] PHP Fatal error:  Call to a member function getPrefixedText() on a non-object in
          /www/translatewiki.net/w/includes/api/ApiFeedRecentChanges.php on line 85

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links